package aicg.wipf.keyu.bzsb

import aicg.wipf.vzuj.Hqlm
import aicg.wipf.vzuj.Kmqp.setTrackedOnClickListener
import android.content.Intent
import android.graphics.Color
import androidx.core.view.isVisible
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.test.basd.smartjunkcleaner.databinding.VfxrocBinding

class Dvvd : Hqlm<VfxrocBinding>() {

    override val binding: VfxrocBinding by lazy {
        VfxrocBinding.inflate(layoutInflater)
    }

    private fun ޚޙއތޓޒޓބ() {
        val ތށޣޗޤޛށޗ = { ޘޞރނގޏގޖ: String -> println(ޘޞރނގޏގޖ) }
        ތށޣޗޤޛށޗ("ޟޕތވޣޒޚޠ!")
        ޝލއޒބޔޠޔ()
    }

    private fun ޣޓޚޠރޒޠޗ() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        binding.root.postDelayed({
            class ޠޚތޘލޢޔރ {
                inner class ފޓގޡކޗދޞ {
                    fun ގޏޞސރޣޣޟ() {
                        println("ޏޝތސމޗއޔ")
                    }
                }
            }
            val ޒޤޖގޏނޅޖ = ޠޚތޘލޢޔރ().ފޓގޡކޗދޞ()
            ޒޤޖގޏނޅޖ.ގޏޞސރޣޣޟ()
            binding.gwcbiqe.isVisible = true
        }, 3000)
        binding.gwcbiqe.setTrackedOnClickListener {
            class ޏހފލޔށޚށ {
                fun ށޜގޜސޏޝސ() {
                    println("ޛޅޠޥޥފހދ")
                }
            }
            ޏހފލޔށޚށ().ށޜގޜސޏޝސ()
            finishToMain()
        }
        fun ޜޖޗޢޡޛޙދ(ޛޠޔޢޟޓސޒ: Int, ލލކޘޜޝޠތ: Int): Int {
            return ޛޠޔޢޟޓސޒ + ލލކޘޜޝޠތ
        }
        val ޝބޘޖޒޜހޅ = ޜޖޗޢޡޛޙދ(9763, 6563)
        println(ޝބޘޖޒޜހޅ)
        binding.tpwegwl.setTrackedOnClickListener {
            startActivity(Intent(this, Bfor::class.java))
            finish()
        }
    }

    private fun ޝލއޒބޔޠޔ() {
        ވޟޣޢތޛޙވ()
    }

    override fun initView() {
        ޚޙއތޓޒޓބ()
    }

    private fun ވޟޣޢތޛޙވ() {
        ޣޓޚޠރޒޠޗ()
    }
}